package com.ss.android.ugc.aweme.deeplink.actions;

import X.AnonymousClass3PS;
import X.C03012Pr;
import X.CwZ;
import X.Cwu;
import X.LUP;
import X.LUR;
import X.LWw;
import X.M12;
import android.net.Uri;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;

public final class UserProfileAction extends AnonymousClass3PS<C03012Pr> {
    static {
        Covode.recordClassIndex(63423);
    }

    public final Cwu<String, HashMap<String, Object>> buildInnerUrl(String str, HashMap<String, Object> hashMap) {
        String str2;
        M12.LIZ(str, hashMap);
        Uri parse = Uri.parse(str);
        Object obj = hashMap.get("id");
        if (obj == null) {
            obj = hashMap.get("uid");
        }
        Object obj2 = hashMap.get("unique_id");
        LUP lup = LUR.LIZ;
        if (obj != null) {
            str2 = obj.toString();
        } else {
            str2 = null;
        }
        String LIZ = lup.LIZ(str2, parse);
        Object obj3 = hashMap.get("invitation_id");
        Cwu[] cwuArr = new Cwu[4];
        if (obj == null) {
            obj = "";
        }
        cwuArr[0] = CwZ.LIZ("uid", obj);
        if (LIZ == null) {
            LIZ = "";
        }
        cwuArr[1] = CwZ.LIZ("sec_user_id", LIZ);
        if (obj2 == null) {
            obj2 = "";
        }
        cwuArr[2] = CwZ.LIZ("unique_id", obj2);
        if (obj3 == null) {
            obj3 = "";
        }
        cwuArr[3] = CwZ.LIZ("invitation_id", obj3);
        return new Cwu<>("//user/profile", LWw.LIZJ(cwuArr));
    }
}
